#include <stdio.h>

int main()
{
    FILE* fp = fopen("/dev/version", "r");
    if (!fp)
    {
        perror("fopen");
        return 1;
    }

    char buf[4096];
    size_t nread = fread(buf, sizeof(buf) - 1, 1, fp);

    if (ferror(fp))
    {
        perror("fread");
        return 1;
    }

    buf[nread] = 0; // null terminate it :)

    printf("%s\n", buf);

    fclose(fp);
}